<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form {{title}}</title>
</head>

<body>
    {% if result %}
    <h1>{{ result }}</h1>
    {% else %}
    <form action="/query" method="POST">
        {{ form.csrf_token }}
        {{ form.opts }}
        <ul>
            {% for error in form.opts.errors %}
            <li style="color:red;">{{ error }}</li>
            {% endfor %}
        </ul>
        <input type="submit">

    </form>
    {% endif %}
</body>

</html>